
package org.glassfish.jersey.gf.ejb;

import org.glassfish.jersey.internal.l10n.Localizable;
import org.glassfish.jersey.internal.l10n.LocalizableMessageFactory;
import org.glassfish.jersey.internal.l10n.Localizer;


/**
 * Defines string formatting method for each constant in the resource file
 * 
 */
public final class LocalizationMessages {

    private final static LocalizableMessageFactory messageFactory = new LocalizableMessageFactory("org.glassfish.jersey.gf.ejb.localization");
    private final static Localizer localizer = new Localizer();

    public static Localizable localizableEJB_COMPONENT_PROVIDER_NOT_INITIALIZED_PROPERLY() {
        return messageFactory.getMessage("ejb.component.provider.not.initialized.properly");
    }

    /**
     * EJB component provider has not been initialized properly.
     * 
     */
    public static String EJB_COMPONENT_PROVIDER_NOT_INITIALIZED_PROPERLY() {
        return localizer.localize(localizableEJB_COMPONENT_PROVIDER_NOT_INITIALIZED_PROPERLY());
    }

    public static Localizable localizableEJB_CLASS_BOUND_WITH_CDI(Object arg0) {
        return messageFactory.getMessage("ejb.class.bound.with.cdi", arg0);
    }

    /**
     * Class, {0}, has been bound by Jersey EJB component provider.
     * 
     */
    public static String EJB_CLASS_BOUND_WITH_CDI(Object arg0) {
        return localizer.localize(localizableEJB_CLASS_BOUND_WITH_CDI(arg0));
    }

    public static Localizable localizableEJB_CLASS_SIMPLE_LOOKUP_FAILED(Object arg0) {
        return messageFactory.getMessage("ejb.class.simple.lookup.failed", arg0);
    }

    /**
     * An instance of EJB class, {0}, could not be looked up using simple form name. Attempting to look up using the fully-qualified form name.
     * 
     */
    public static String EJB_CLASS_SIMPLE_LOOKUP_FAILED(Object arg0) {
        return localizer.localize(localizableEJB_CLASS_SIMPLE_LOOKUP_FAILED(arg0));
    }

    public static Localizable localizableEJB_INTERFACE_HANDLING_METHOD_LOOKUP_EXCEPTION(Object arg0, Object arg1, Object arg2) {
        return messageFactory.getMessage("ejb.interface.handling.method.lookup.exception", arg0, arg1, arg2);
    }

    /**
     * Exception thrown when trying to lookup actual handling method, {0}, for EJB type, {1}, using interface {2}.
     * 
     */
    public static String EJB_INTERFACE_HANDLING_METHOD_LOOKUP_EXCEPTION(Object arg0, Object arg1, Object arg2) {
        return localizer.localize(localizableEJB_INTERFACE_HANDLING_METHOD_LOOKUP_EXCEPTION(arg0, arg1, arg2));
    }

    public static Localizable localizableEJB_INTERCEPTOR_BOUND() {
        return messageFactory.getMessage("ejb.interceptor.bound");
    }

    /**
     * The Jersey EJB interceptor is bound. JAX-RS EJB integration support is enabled.
     * 
     */
    public static String EJB_INTERCEPTOR_BOUND() {
        return localizer.localize(localizableEJB_INTERCEPTOR_BOUND());
    }

    public static Localizable localizableEJB_CLASS_BEING_CHECKED(Object arg0) {
        return messageFactory.getMessage("ejb.class.being.checked", arg0);
    }

    /**
     * Class, {0}, is being checked with Jersey EJB component provider.
     * 
     */
    public static String EJB_CLASS_BEING_CHECKED(Object arg0) {
        return localizer.localize(localizableEJB_CLASS_BEING_CHECKED(arg0));
    }

    public static Localizable localizableEJB_INTERCEPTOR_CONFIG_ERROR() {
        return messageFactory.getMessage("ejb.interceptor.config.error");
    }

    /**
     * Error when configuring to use the EJB interceptor binding API. JAX-RS EJB integration can not be supported.
     * 
     */
    public static String EJB_INTERCEPTOR_CONFIG_ERROR() {
        return localizer.localize(localizableEJB_INTERCEPTOR_CONFIG_ERROR());
    }

    public static Localizable localizableEJB_INTERCEPTOR_CONFIG_LINKAGE_ERROR() {
        return messageFactory.getMessage("ejb.interceptor.config.linkage.error");
    }

    /**
     * Linkage error when configuring to use the EJB interceptor binding API. JAX-RS EJB integration can not be supported.
     * 
     */
    public static String EJB_INTERCEPTOR_CONFIG_LINKAGE_ERROR() {
        return localizer.localize(localizableEJB_INTERCEPTOR_CONFIG_LINKAGE_ERROR());
    }

    public static Localizable localizableINITIAL_CONTEXT_NOT_AVAILABLE() {
        return messageFactory.getMessage("initial.context.not.available");
    }

    /**
     * InitialContext not found. JAX-RS EJB support is not available.
     * 
     */
    public static String INITIAL_CONTEXT_NOT_AVAILABLE() {
        return localizer.localize(localizableINITIAL_CONTEXT_NOT_AVAILABLE());
    }

    public static Localizable localizableEJB_INTERCEPTOR_BIND_API_NOT_AVAILABLE() {
        return messageFactory.getMessage("ejb.interceptor.bind.api.not.available");
    }

    /**
     * The EJB interceptor binding API is not available. JAX-RS EJB integration can not be supported.
     * 
     */
    public static String EJB_INTERCEPTOR_BIND_API_NOT_AVAILABLE() {
        return localizer.localize(localizableEJB_INTERCEPTOR_BIND_API_NOT_AVAILABLE());
    }

    public static Localizable localizableEJB_INTERCEPTOR_BIND_API_NON_CONFORMANT() {
        return messageFactory.getMessage("ejb.interceptor.bind.api.non.conformant");
    }

    /**
     * The EJB interceptor binding API does not conform to what is expected. JAX-RS EJB integration can not be supported.
     * 
     */
    public static String EJB_INTERCEPTOR_BIND_API_NON_CONFORMANT() {
        return localizer.localize(localizableEJB_INTERCEPTOR_BIND_API_NON_CONFORMANT());
    }

    public static Localizable localizableEJB_INTERCEPTOR_CONFIG_SECURITY_ERROR() {
        return messageFactory.getMessage("ejb.interceptor.config.security.error");
    }

    /**
     * Security issue when configuring to use the EJB interceptor binding API. JAX-RS EJB support is not available.
     * 
     */
    public static String EJB_INTERCEPTOR_CONFIG_SECURITY_ERROR() {
        return localizer.localize(localizableEJB_INTERCEPTOR_CONFIG_SECURITY_ERROR());
    }

}
